Bug 1678260

Summary: ltrace: devtoolset-8 ltrace segfaults when run on certain processes in ppc64le
Product: Red Hat Developer Toolset Reporter: Edjunior Barbosa Machado <emachado>
Component: ltraceAssignee: DJ Delorie <dj>
Status: NEW --- QA Contact: Edjunior Barbosa Machado <emachado>
Severity: medium Docs Contact:
Priority: medium    
Version: DTS 8.0 RHEL 7CC: codonell, cww, dj, dsmith, emachado, esyr, kanderso, law, mcermak, mnewsome, plambri, sfroemer, smeyer
Target Milestone: ---   
Target Release: 9.1   
Hardware: ppc64le   
OS: Linux   
Whiteboard:
Fixed In Version: devtoolset-8.1-ltrace-0.7.91-2.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1360259
: 1731204 1734363 (view as bug list) Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1360259    
Bug Blocks: 1420851, 1473733, 1477664, 1731204, 1731211, 1734363    

Comment 2 DJ Delorie 2019-03-07 00:32:29 UTC
Fixed

Comment 6 DJ Delorie 2019-03-12 15:35:16 UTC
The fix turned out to be inappropriate, so reverting.

Comment 7 Edjunior Barbosa Machado 2019-07-30 10:18:43 UTC
The segfault actually occurs also without -S:

[root@ibm-p8-kvm-05-guest-04 ~]# pgrep dbus-daemon
2553
[root@ibm-p8-kvm-05-guest-04 ~]# scl enable devtoolset-8 -- ltrace -p 2553
_dbus_get_monotonic_time(0x3ffff435ac08, 0x3ffff435ac10, 0, 0 <no return ...>
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++
+++ killed by SIGSEGV +++
[root@ibm-p8-kvm-05-guest-04 ~]# pgrep dbus-daemon
[root@ibm-p8-kvm-05-guest-04 ~]# rpm -qf `scl enable devtoolset-8 -- which ltrace `
devtoolset-8-ltrace-0.7.91-1.el7.ppc64le